.footer {
  background-color: #000;
  color: #fff;
}

.footer__wrapper {
  margin: 0 auto;
  max-width: 1100px;
}

.footer__top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px 0;
}

.footer__top__logo {
  flex-shrink: 0;
  height: 50px;
}

.footer__top__column {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  column-gap: 40px;
}

.footer__top__column__item {
  font-size: 16px;
  cursor: pointer;
  color: #fff;
}

.footer__top__column__item:hover {
  color: #3574db;
  text-decoration: none;
}

.footer__middle {
  display: flex;
  justify-content: space-between;
  border-top: 2px solid #222;
}

.footer__middle__report {
  flex: 1 0 42%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: bottom/cover no-repeat;
}

.footer__middle__report__info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}

.footer__middle__report__info__title {
  font-size: 26px;
  font-weight: bold;
}

.footer__middle__report__info__guide {
  font-size: 12px;
  color: #aaa;
}

.footer__middle__report__img {
  flex-shrink: 0;
  margin: 40px 40px 0 40px;
  width: 170px;
}

.footer__middle__right {
  flex: 1 0 58%;
  border-left: 2px solid #222;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  gap: 30px;
}

.footer__info {
  display: flex;
  align-items: center;
  gap: 20px;
}

.footer__info__contact {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 20px;
}

.footer__info__contact__account {
  display: flex;
  align-items: center;
  gap: 10px;
}

.footer__info__contact__account__logo {
  padding: 12px;
  width: 40px;
  height: 40px;
  border-radius: 6px;
  background-color: #363636;
  object-fit: contain;
  cursor: pointer;
}

.footer__info__contact__account__logo:hover {
  background-color: #808080;
}

.footer__info__contact_address {
  text-align: right;
  font-size: 12px;
}

.footer__info__contact__qrcode {
  flex-shrink: 0;
  width: 140px;
  height: 140px;
  border-radius: 6px;
  background-color: #fff;
}

.footer__website {
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
  gap: 6px;
}

.footer__website__item {
  padding: 4px 14px;
  border-radius: 1000px;
  color: #464646;
  border: 1px solid #464646;
  cursor: pointer;
  font-size: 12px;
  line-height: 100%;
}

.footer__website__item:hover {
  color: #fff;
  background-color: #1385f8;
  border-color: transparent;
  text-decoration: none;
}

.footer__bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 2px solid #222;
  padding: 14px 0;
  color: #b6b6b6;
  font-size: 12px;
}

.footer__bottom__wrapper {
  display: flex;
  align-items: center;
  gap: 30px;
}

.footer__bottom__icp>a {
  color: inherit;
}

.footer__bottom__icp>a:hover {
  color: inherit;
}

.footer__bottom__policy {
  display: flex;
  gap: 10px;
}

.footer__bottom__link {
  color: inherit;
}

.footer__bottom__link:hover {
  color: inherit;
}

@media (max-width: 992px) {
  .footer__top {
    flex-direction: column;
  }

  .footer__top__column {
    display: none;
  }

  .footer__middle {
    flex-direction: column;
  }

  .footer__middle__report {
    justify-content: space-around;
  }

  .footer__middle__report__info {
    margin-left: 10px;
  }

  .footer__middle__report__img {
    margin: 40px 20px 0 20px;
  }

  .footer__middle__right {
    padding: 10px;
    gap: 10px;
  }

  .footer__bottom {
    flex-direction: column;
    gap: 6px;
  }

  .footer__bottom__wrapper {
    flex-direction: column;
    gap: 6px;
  }
}